Page MenuHomePhabricator

Tooltip icons looks misaligned when close to checkboxes in Special:Preferences
Closed, ResolvedPublic

Description

Usually, tooltips icons are used on an overall window, as an upper-corner element. Use them inline looks a bit strange:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 2:52 PM

Thanks for your input @Trizek-WMF. Just to be fully clear, are you talking about the vertical line alignment of the info icons with the checkboxes or the position of the info icons?

I didn't wanted to influence any of your decisions. There are IMO two possibilities:

  • leave the vertical alignement like it is, but put the info icon just at the end of the label
  • leave the info icon where they are, but align that icon to have it vertically centered

Also, for the second proposal, a bit of padding would make the selected element a bit nicer:

Dvorapa added a subscriber: Dvorapa.

Quoting from the duplicate task:

Expected behavior
The (?) buttons should be next to the preference description text
Current behavior
The (?) buttons are next to the checkboxes, like we expect user does not know, how to tick the checkbox??

Volker_E added a comment.EditedNov 16 2018, 2:01 AM

@Trizek-WMF With T209667 in, this part will become better usable and the tooltip position is then only a minor amendment. That should become the result of both tasks:

@Dvorapa There's a major issue with how the data fields are output here, and we can't bring them close to the labels easily. With the change outlined, there's at least a bigger distance to the checkboxes resulting in a better correlation with what they are signifiying.

@Trizek-WMF With T209667 in, this part will become better usable and the tooltip position is then only a minor amendment.

Looks nice!

Change 474389 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] CheckMatrixWidget: Fix alignment issues

https://gerrit.wikimedia.org/r/474389

Change 474389 merged by jenkins-bot:
[mediawiki/core@master] CheckMatrixWidget: Fix alignment issues

https://gerrit.wikimedia.org/r/474389

Jdforrester-WMF closed this task as Resolved.Nov 19 2018, 4:44 PM
Jdforrester-WMF assigned this task to Volker_E.